﻿namespace MigrateSharePointToWordPress
{
	public class ProgressReport
	{
		public enum Indeterminate
		{
			Unchanged,
			Activate,
			Deactivate
		}

		public Indeterminate IndeterminateStatus { get; set; }
		public bool IsPercentage { get; set; }
		public int Percentage { get; set; }
		public string Output { get; set; }
		public string Status { get; set; }

		public ProgressReport(Indeterminate indeterminateStatus)
		{
			IndeterminateStatus = indeterminateStatus;
		}

		public ProgressReport(int percentage, string output = null)
		{
			Percentage = percentage;
			IsPercentage = true;
			Output = output;
		}

		public ProgressReport(string output)
		{
			Output = output;
		}

		/// <summary>
		/// calculates the percentage and shows in progress bar
		/// </summary>
		/// <param name="progress"></param>
		/// <param name="total"></param>
		public ProgressReport(int progress, int total)
		{
			if (progress > total) progress = total;
			if (total == 0) return;

			decimal percentage = progress*100/(decimal) total;
			IsPercentage = true;
			Percentage = (int) percentage;
		}
	}
}
