﻿using System;
using System.Xml.Linq;

namespace MigrateSharePointToWordPress.Source
{
	public class BlogComment : IBlogElement
	{
		public int ID { get; set; }
		public int DestinationId { get; set; }
		public int PostID { get; set; }
		public string Title { get; set; }
		public string Body { get; set; }
		public DateTime Created { get; set; }
		public string CommentUrl { get; set; }
		public string EMail { get; set; }

		public BlogComment(XElement row)
		{
			ID = Convert.ToInt32(row.Attribute("ows_ID").Value);
			PostID = row.GetAttributeValue("ows_PostTitle").GetLookupId();
			Title = row.GetAttributeValue("ows_Title");
			Body = row.GetAttributeValue("ows_Body");
			Created = Convert.ToDateTime(row.Attribute("ows_Created").Value);
			CommentUrl = row.GetAttributeValue("ows_CommentUrl");
			EMail= row.GetAttributeValue("ows_EmailAddress");
		}
	}
}