﻿using System;
using System.ComponentModel;

namespace MigrateSharePointToWordPress.Source
{
	internal class SharePointListConfig
	{
		internal enum ListType
		{
			Posts,
			Comments
		}

		public ListType ListItemType { get; set; }
		public string BlogListName { get; set; }
		public string CommentListName { get; set; }
		public string ListItemCollectionPosition { get; set; }
		[DefaultValue("30")]
		public string PageSize { get; set; }
		public BlogPost Post { get; set; }

		public SharePointListConfig(ListType listType, string postListName, string commentListName)
		{
			ListItemType = listType;
			ListItemCollectionPosition = string.Empty;
			PageSize = "30";
			BlogListName = postListName;
			CommentListName = commentListName;
		}

		public string GetListName()
		{
			switch (ListItemType)
			{
				case ListType.Posts:
					return BlogListName;
				case ListType.Comments:
					return CommentListName;
				default:
					throw new ArgumentOutOfRangeException();
			}
		}

		public SharePointListConfig GetCommentsConfig(BlogPost post)
		{
			var commentsConfig = new SharePointListConfig(ListType.Comments, BlogListName, CommentListName) {Post = post};
			return commentsConfig;
		}
	}
}