﻿using System;
using CookComputing.XmlRpc;

namespace ExportToWordpress.XMLRPC
{
	/// <summary>
	/// wp.newComment 
	/// </summary>
	[XmlRpcMissingMapping(MappingAction.Ignore)]
	public struct Comment
	{
		// shared
		public string content;
		public string author;
		public string author_url;
		public string author_email;
		// for editComment/getComment
		/// <summary>
		/// 'hold', 'approve', or 'spam'
		/// </summary>
		public string status;
		
		// for newComment
		public int comment_parent;
		public DateTime date_created_gmt;

		// for getComment
		public string comment_id;
		public string parent;
		public string user_id;
		public DateTime dateCreated;
		public string link;
		public string post_id;
		public string post_title;
		public string author_ip;
		public string type;

		/// <summary>
		/// Initializes a new instance of the <see cref="T:System.Object"/> class.
		/// </summary>
		public Comment(bool initialize) : this()
		{
			status = "approve";
		}
	}
}