﻿using CookComputing.XmlRpc;

namespace ExportToWordpress.XMLRPC
{
	public interface IWordpressXmlRpc
	{
		[XmlRpcMethod("metaWeblog.newMediaObject")]
		WordpressFile newImage(string blogid, string username, string password, WordpressFile theImage, bool overwrite);

		[XmlRpcMethod("wp.getMediaLibrary")]
		MediaItem[] getMediaLibrary(string blogid, string username, string password, MediaFilter filter);

		[XmlRpcMethod("wp.deletePage")]
		bool deletePage(string blogid, string username, string password, int page_id);

		[XmlRpcMethod("metaWeblog.getRecentPosts")]
		ExistingPostContent[] getRecentPosts(string blogID, string username, string password, int numberOfPosts);

		[XmlRpcMethod("metaWeblog.newPost")]
		string newPost(string blogid, string username, string password, NewPostContent content, bool publish);

		[XmlRpcMethod("metaWeblog.editPost")]
		bool editPost(string blogid, string username, string password, NewPostContent content, bool publish);

		[XmlRpcMethod("wp.deletePost")]
		bool deletePost(string blogid, string username, string password, int postid);

		[XmlRpcMethod("wp.newComment")]
		int newComment(string blogid, string username, string password, int post_id, Comment comment);

		[XmlRpcMethod("wp.getComments")]
		Comment[] getComments(string blogid, string username, string password, CommentFilter filter);

		[XmlRpcMethod("wp.editComment")]
		bool editComment(string blogid, string username, string password, int comment_id, Comment comment);

		[XmlRpcMethod("wp.deleteComment")]
		bool deleteComment(string blogid, string username, string password, int comment_id);

		[XmlRpcMethod("wp.newTerm")]
		string newTerm(string blogid, string username, string password, TaxonomyContent content);

		[XmlRpcMethod("wp.getTerms")]
		Term[] getTerms(string blogid, string username, string password, string taxonomy, TermFilter filter);

		[XmlRpcMethod("wp.deleteTerm")]
		bool deleteTerm(string blogid, string username, string password, string taxonomy, int term_id);
	}
}