﻿using System;
using CookComputing.XmlRpc;

namespace ExportToWordpress.XMLRPC
{
	/// <summary>
	/// metaWeblog.getMediaLibrary
	/// </summary>
	[XmlRpcMissingMapping(MappingAction.Ignore)]
	public struct MediaItem
	{
		public string attachment_id;
		public DateTime date_created_gmt;
		public int parent;
		public string link;
		public string title;
		public string caption;
		public string description;
		public object metadata;
		public PostThumbnailImageMeta image_meta;
		public string thumbnail;
	}

	[XmlRpcMissingMapping(MappingAction.Ignore)]
	public struct MediaItemMetadata
	{
		public int width;
		public int heigth;
		public string file;
		//public MediaItems.MediaItemSize sizes;

		[XmlRpcMissingMapping(MappingAction.Ignore)]
		public struct MediaItems
		{
			// properties not relevant for deleting items
		}
	}

	[XmlRpcMissingMapping(MappingAction.Ignore)]
	public struct PostThumbnailImageMeta
	{
		public int aperture;
		public string credit;
		public string camera;
		public string caption;
		public int created_timestamp;
		public string copyright;
		public int focal_length;
		public int iso;
		public int shutter_speed;
		public string title;
	}
}