using System;
using CookComputing.XmlRpc;

namespace ExportToWordpress.XMLRPC
{
	/// <summary>
	/// metaWeblog.newPost
	/// </summary>
	[XmlRpcMissingMapping(MappingAction.Ignore)]
	public struct NewPostContent
	{
		public string title;
		public string description;

		/// <summary>
		/// "post" or "page"
		/// </summary>
		public string post_type;

		public DateTime dateCreated;
		public DateTime date_Created_gmt;
		/// <summary>
		/// Names of categories assigned to the post
		/// </summary>
		public string[] categories;
		/// <summary>
		/// Names of tags assigned to the post
		/// </summary>
		public string[] mt_keywords;
		public string mt_excerpt;

		/// <summary>
		/// Post "Read more" text
		/// </summary>
		public string mt_text_more;

		/// <summary>
		/// "open" or "closed"
		/// </summary>
		public string mt_allow_comments;

		/// <summary>
		/// "open" or "closed"
		/// </summary>
		public string mt_allow_pings;

		public string wp_slug;
		public string wp_password;
		public string wp_author_id;
		public string wp_author_display_name;

		/// <summary>
		/// new  When theres no previous status.
		/// publish  A published post or page.
		/// pending  A post pending review.
		/// draft  A post in draft status.
		/// auto-draft  A newly created post with no content.
		/// future  A post scheduled to publish in the future.
		/// private  Not visible to users who are not logged in.
		/// inherit  A revision or attachment (see get_children()).
		/// trash  Post is in the trash (added with Version 2.9). 
		/// </summary>
		public string post_status;
		public string wp_post_format;
		public bool sticky;
		public CustomField[] custom_fields;
		// for RSS
		public Enclosure enclosure;
		public bool published;

		public NewPostContent(bool initialize) : this()
		{
			categories=new string[0];
			mt_keywords = new string[0];
			custom_fields=new CustomField[0];

			// set default values
			post_type = "post";
			mt_allow_comments = "open";
			mt_allow_pings = "open";
		}
	}
 }