using System;
using System.Runtime.InteropServices;
using CookComputing.XmlRpc;

namespace ExportToWordpress.XMLRPC
{
	[XmlRpcMissingMapping(MappingAction.Ignore)]
	public struct WordpressFile
	{
		public string name;
		public string type;
		public byte[] bits;
		public bool overwrite;
		public string url;
		
		[DllImport(@"urlmon.dll", CharSet = CharSet.Auto)]
		private extern static UInt32 FindMimeFromData(UInt32 pBC, [MarshalAs(UnmanagedType.LPStr)] String pwzUrl, [MarshalAs(UnmanagedType.LPArray)] byte[] pBuffer, UInt32 cbSize, [MarshalAs(UnmanagedType.LPStr)] String pwzMimeProposed, UInt32 dwMimeFlags, out UInt32 ppwzMimeOut, UInt32 dwReserverd);
		internal string SetMimeType(WordpressFile wordpressImage)
		{
			var buffer = wordpressImage.bits;
			try
			{
				UInt32 mimetype;
				FindMimeFromData(0, null, buffer, 256, null, 0, out mimetype, 0);
				var mimeTypePtr = new IntPtr(mimetype);
				string mime = Marshal.PtrToStringUni(mimeTypePtr);
				Marshal.FreeCoTaskMem(mimeTypePtr);
				return mime.Replace("x-", string.Empty);
			}
			catch (Exception e)
			{
				return "unknown/unknown";
			}
		}

	}
}